---
title: "Add Group Moderator"
slug: "add-group-moderator"
updated: 2026-09-03T14:50:33Z
published: 2026-09-03T14:50:33Z
canonical: "developer.rocket.chat/add-group-moderator"
stale: true
---
> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.
# Add Group Moderator
Post/api/v1/groups.addModerator
Assign the `moderator` role to a user in a private channel. Learn more about roles from the [Roles in Rocket.Chat](https://docs.rocket.chat/docs/roles-in-rocketchat) document.
Permission required: `set-moderator`
### Changelog
| Version | Description |
| --- | --- |
| 0.49.4 | Added. |
Header parametersX-Auth-TokenstringRequired
The `authToken` of the authenticated user.
ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired
The `userId` of the authenticated user.
ExamplerbAXPnMktTFbNpwtJ
Body parametersExample
```json
{
"roomId": "ByehQjC44FwMeiLbX",
"userId": "nSYqWzZ4GsKTX4dyK"
}
```
object roomIdstring Required
The groups's (private channel) ID.
ExampleByehQjC44FwMeiLbX
userIdstring Required
The user's ID.
ExamplenSYqWzZ4GsKTX4dyK
Responses200
OK
Success
```json
{
"success": true
}
```
object successboolean
400
Bad Request
Example 1
```json
{
"success": false,
"error": "The required \"roomId\" or \"roomName\" param provided does not match any group [error-room-not-found]",
"errorType": "error-room-not-found"
}
```
object successboolean
errorstring
errorTypestring
401
Unauthorized
Authorization Error
```json
{
"status": "error",
"message": "You must be logged in to do this."
}
```
object statusstring
messagestring